%global drupaldir %{_datadir}/drupal7

Name:    drupal7-rules
Version: 2.7
Release: 1%{?dist}
Summary: It allows site administrators to define conditionally executed actions

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/rules
Source0: http://ftp.drupal.org/files/projects/rules-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-entity

%description
The rules modules allows site administrators to define conditionally executed
actions based on occurring events (known as reactive or ECA rules).
It's a replacement with more features for the trigger module in core
and the successor of the Drupal 5 workflow-ng module.

%prep

%setup -qn rules

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .
find -type f -perm /111 | xargs chmod -x

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/rules
cp -pr * %{buildroot}%{drupaldir}/modules/rules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc DEVELOPER.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/rules
%exclude %{drupaldir}/modules/rules/*.txt

%changelog
* Sun May 11 2014 Peter Borsa <peter.borsa@gmail.com> - 2.7-1
- Update to upstream 2.7 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2257127

* Wed Nov 06 2013 Peter Borsa <peter.borsa@gmail.com> - 2.6-1
- Update to upstream 2.6 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2123171

* Thu Sep 26 2013 Peter Borsa <peter.borsa@gmail.com> - 2.5-1
- Update to upstream 2.5 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2092781

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Peter Borsa <peter.borsa@gmail.com> - 2.3-1
- New upstream version

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 4 2012 Peter Borsa <peter.borsa@gmail.com> - 2.2-1
- New upstream version.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Peter Borsa <peter.borsa@gmail.com> - 2.1-2
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-1
- Initial packaging.

